Extreme graphical flickering running Open GL 3.0 builds on supposedly Open GL 4.2 card

Bugs that have been resolved.

Moderator: Graf Zahl

Locked
User avatar
MagicWazard
Posts: 7
Joined: Sat Jul 16, 2016 6:37

Extreme graphical flickering running Open GL 3.0 builds on supposedly Open GL 4.2 card

Post by MagicWazard » Sat Jul 16, 2016 7:10

Hi guys,

I've been trying out the OpenGL 3.0 versions of GZDoom (from the official 2.1.1 versions through all of the dev builds), and I find that they are suffering from extreme graphical flickering. UI elements, sprites, and even large chunks of environment geometry flicker in and out haphazardly. Some sections of the floor also appear at incorrect heights. The framerate seems fine, though. According to OpenGL Extensions Viewer 4.1, my graphic's card's OpenGL version is 4.2, which should be compatible.

Graphics card: AMD Radeon HD 6570
Driver Version: 8.960.11.1000
Driver Date: 4/25/2012
OpenGL version (according to ATi Catalyst): 6.14.10.11627

CPU: AMD Phenom II X6 1055T (64-bit)

Is some aspect of my setup not compliant for the OpenGL 3.0 versions? Is my driver too old? (I don't think there are newer versions of it.) Is OpenGL Extensions Viewer reliable for reporting the OpenGL capabilities of my card? Please let me know if I can provide any more information, or screenshots of the issue.

In any event, the OpenGL 2.0 versions run fine, so I'm using that instead for now.

Thank you in advance, and I apologize if this is an issue that has already been covered! (I promise I did search the bug history before reporting this.)
Attachments
DxDiag.txt
(34.22 KiB) Downloaded 8 times

User avatar
Graf Zahl
GZDoom Developer
GZDoom Developer
Posts: 7148
Joined: Wed Jul 20, 2005 9:48
Location: Germany
Contact:

Re: Extreme graphical flickering running Open GL 3.0 builds on supposedly Open GL 4.2 card

Post by Graf Zahl » Sat Jul 16, 2016 9:47

Have you tried updating the driver? The one you use looks a bit old for a GL 4.x card. There is a known bug in some older drivers with the hardware clipping planes, this has produced the same effect on other hardware as well but since GL 2.x does not use this feature the error won't manifest with those builds.

User avatar
MagicWazard
Posts: 7
Joined: Sat Jul 16, 2016 6:37

Re: Extreme graphical flickering running Open GL 3.0 builds on supposedly Open GL 4.2 card

Post by MagicWazard » Mon Jul 18, 2016 4:25

Yup, looks like it was just an outdated driver. I had been letting Windows automatically search for new drivers for me, which apparently I shouldn't have been doing. I went to AMD's website and downloaded a utility that scanned my computer to find the most up-to-date driver; I let it install, and now the OpenGL 3.0 x64 build runs just fine.

Locked

Return to “Closed Bugs”